using System.Collections.Generic;
using RPG_Fight_Test.Assets.Scripts.Weapons;

public interface ICreatureInterface {

    public void TakeDamage(int damage);

    public IAction ActionWhenBlocked(Creature blockingCreature);
    public void DecideActions(List<Creature> combatants);

    public IWeapon PrimaryWeapon { get; set; }

    public int Evade { get; set; }
}
